<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>Release Notes for PDM audio software decoding Library</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
  <link rel="stylesheet" href="../../../../../../../../../_htmresc/mini-st.css" />
  <!--[if lt IE 9]>
    <script src="//cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7.3/html5shiv-printshiv.min.js"></script>
  <![endif]-->
</head>
<body>
<div class="row">
<div class="col-sm-12 col-lg-4">
<div class="card fluid">
<div class="sectione dark">
<center>
<h1 id="release-notes-for-pdm-audio-software-decoding-library"><small>Release Notes for</small> <mark>PDM audio software decoding Library</mark></h1>
<p>Copyright © 2015 STMicroelectronics<br />
</p>
<a href="https://www.st.com" class="logo"><img src="../../../../../../../../../_htmresc/st_logo.png" alt="ST logo" /></a>
</center>
</div>
</div>
<h1 id="license">License</h1>
<p>Licensed under MCD-ST Image SW License Agreement V2, (the “License”); You may not use this package except in compliance with the License. You may obtain a copy of the License at: <a href="http://www.st.com/software_license_agreement_image_v2">http://www.st.com/software_license_agreement_image_v2</a></p>
<h1 id="purpose">Purpose</h1>
<p>The <strong>PDM audio software decoding Library</strong> is an optimized software implementation for PDM signal decoding and audio signal reconstruction when connecting an <strong>ST MEMS microphone</strong> (MP45Dxxx, MP34Dxxx) with an <strong>STM32 microcontroller</strong>. It can directly take the Pulse Density Modulated (PDM) data output from the microphone and convert it to 16-bit pulse-code modulation (PCM) format.</p>
<p>This Library includes one header file pdm_filter.h and binary/object codes running on all STM32 devices. The naming format is <strong>libPDMFilter_CMx_C.a/.lib</strong>, where:</p>
<ul>
<li>CMx: CortexMx core class (CM0, CM3, CM4 and CM7)</li>
<li>C: compiler (IAR, Keil and GCC)</li>
</ul>
<p>For more information about this Library, please refer to the document “AN3998 PDM audio software decoding on STM32 microcontrollers” available for download from STMicroelectronics website at<a href="http://www.st.com">www.st.com</a>.</p>
</div>
<div class="col-sm-12 col-lg-8">
<h1 id="update-history">Update History</h1>
<div class="collapse">
<input type="checkbox" id="collapse-section18" checked aria-hidden="true"> <label for="collapse-section18" aria-hidden="true">V2.1.0 / 31-March-2015</label>
<div>
<h2 id="main-changes">Main Changes</h2>
<ul>
<li>Add Binaries for CortexM7 (CM7) core</li>
<li><em>PDM_Filter_128_MSB()</em> and <em>PDM_Filter_128_LSB()</em> functions: enhance volume setting, it was lower than expected</li>
<li><em>PDM_Filter_64_MSB()</em> function: fix issue when using more than 2 microphones</li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section17" aria-hidden="true"> <label for="collapse-section17" aria-hidden="true">V2.0.1 / 17-December-2013</label>
<div>
<h2 id="main-changes-1">Main Changes</h2>
<ul>
<li>In <em>HTONS()</em> macro, change <em>u16</em> type by <em>uint16_t</em></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section16" aria-hidden="true"> <label for="collapse-section16" aria-hidden="true">V2.0.0 / 07-August-2013</label>
<div>
<h2 id="main-changes-2">Main Changes</h2>
<ul>
<li>Update Library binary name format</li>
<li>Add Library version optimized for CM0, CM3 and CM4F cores</li>
<li>Add functions for decimation factor 128</li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section15" aria-hidden="true"> <label for="collapse-section15" aria-hidden="true">V1.1.2/ 17-April-2012</label>
<div>
<h2 id="main-changes-3">Main Changes</h2>
<ul>
<li>All source files: license disclaimer text update and add link to the License file on ST Internet</li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section14" aria-hidden="true"> <label for="collapse-section14" aria-hidden="true">V1.1.1/ 30-December-2011</label>
<div>
<h2 id="main-changes-4">Main Changes</h2>
<ul>
<li>PDM Library moved from <em>Utilities\STM32F4-Discovery</em> to <em>Utilities\STM32_Audio\Addons\PDM</em> folder</li>
<li>Add new license agreement <em>“MCD-ST Image SW License Agreement V2.pdf”</em></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section13" aria-hidden="true"> <label for="collapse-section13" aria-hidden="true">V1.1.0/ 28-October-2011</label>
<div>
<h2 id="main-changes-5">Main Changes</h2>
<ul>
<li>Add <em>PDM audio software decoding Library</em> drivers, used to decode and reconstruct the audio signal produced by MP45DT02 MEMS microphone from STMicroelectronics. For more details about this Library, please refer to document <em>“PDM audio software decoding on STM32 microcontrollers (AN3998)”</em>.</li>
<li>stm32f4_discovery_audio_codec.c/.h: update to use DMA instead of Interrupt in I2S communication with the external codec.</li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section12" aria-hidden="true"> <label for="collapse-section12" aria-hidden="true">V1.0.0/ 19-September-2011</label>
<div>
<h2 id="main-changes-6">Main Changes</h2>
<ul>
<li>First official version of the <em>STM32F4-Discovery Board Drivers</em></li>
</ul>
</div>
</div>
</div>
</div>
<footer class="sticky">
For complete documentation on <mark>STM32 Microcontrollers</mark> , visit: <a href="http://www.st.com/STM32">http://www.st.com/STM32</a>
</footer>
</body>
</html>
